Subject: Re: bug#46829: `guix pull` uses incorrect certificate store

From: Leo Famulari <[email-masked]>
Date: Mon, 31 May 2021 15:17:53 -0400

On Wed, Apr 14, 2021 at 12:50:39PM +0200, Ludovic Courtès wrote:
> OK.  5 years still looks kinda “frequent” to me.  I would think that old
> software installations (including “appliances”) would live longer than
> that, no?
> 
> You install Guix on a laptop, you leave it in a drawer, and you come a
> few years later and you can neither access HTTPS web sites nor run ‘guix
> pull’?

Yeah, that's bad.

Let's go ahead with adding some kind of '--allow-insecure-transport'
option to `guix pull` for this use case. Bonus points for making it
sounds as scary as possible :)